amd76xrom amd76xrom_init_one(): Unable to register resource 0xffc00000-0xffffffff - kernel bug?

Bug #39602 reported by Dave Gilbert on 2006-04-14
30
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Jaunty
Medium
Tim Gardner

Bug Description

I noticed in the bootup log on my Tyan S2460, and amd760MP box the following debug line:

amd76xrom amd76xrom_init_one(): Unable to register resource 0xffc00000-0xffffffff - kernel bug?

I suspect it is minor; it certainly doesn't seem to be causing any problems (unless its the reasons for reboot/shutdown problems I've had in the past).

Kurt Fitzner (kfitzner) wrote :

I have a Tyan Tiger MPX (S2466N-4M) motherboard and the exact same error is displayed in Ubunto 6.06 Flight 6 (kernel 2.6.15-19-386). Additionally, there are about a hundred repititions of the following two entries in the log:
[4294750.599000] CFI: Found no amd76xrom @ffc00000 device at location zero
[4294750.611000] JEDEC: Found no amd76xrom @ffc00000 device at location zero

barthawk (bhoekstra) wrote :

This may be related to my problem. Trying to do graphic install on dapper-rc, it gets most of the way through the process, but then halts with an error:

Error while running 'modprobe -v amd76xrom'

The install process then halts.

Dave Gilbert (ubuntu-treblig) wrote :

I still see this error/warning on edgy
(and I also see the splurge of CFI/JEDEC lines still).

m1n1st3r (dave1776) wrote :

Running Ubuntu 6.06 Server (Linux version 2.6.15-28-k7) on a Tiger MPX (S2466N-4M) as well. Using latest bios from Tyan. I am seeing the exact same error as well. Specific error is listed below. The every boot results in about a hundred repetitions of the last two lines. It does not seem to be affecting stability at all.

amd76xrom amd76xrom_init_one(): Unable to register resource 0xffc00000-0xffffffff - kernel bug?
CFI: Found no amd76xrom @ffc00000 device at location zero
JEDEC: Found no amd76xrom @ffc00000 device at location zero

I would be very interested to find out what this error means exactly.

This bug has had no activity for a considerable period. This is a check to see if there is still interest in investigating this bug report.

Changed in linux-source-2.6.15:
status: New → Incomplete

No interest from me
------Original Message------
From: Gareth Fitzworthington
Sender: <email address hidden>
To: <email address hidden>
ReplyTo: Bug 39602
Sent: Mar 14, 2008 9:03 AM
Subject: [Bug 39602] Re: amd76xrom amd76xrom_init_one(): Unable to registerresource 0xffc00000-0xffffffff - kernel bug?

This bug has had no activity for a considerable period. This is a check
to see if there is still interest in investigating this bug report.

** Changed in: linux-source-2.6.15 (Ubuntu)
       Status: New => Incomplete

--
amd76xrom amd76xrom_init_one(): Unable to register resource 0xffc00000-0xffffffff - kernel bug?
https://bugs.launchpad.net/bugs/39602
You received this bug notification because you are a direct subscriber
of the bug.

Sent from Mobile Phone

Philip Pokorny (ppokorny) wrote :

This is still "broken" in 8.04 Beta.

This post:
http://osdir.com/ml/kernel.bproc.user/2005-08/msg00011.html

Suggests that the following modules should be loaded in the listed order:

mtdcore
mtdchar
chipreg
gen_probe
jedec_probe
cfi_cmdset_0002
amd76xrom

On 8.04, they are loaded in the order:

chipreg
mtd
amd76xrom
gen_probe
jedec_probe
cfi_util
cfi_cmdset_0002

What would be the "best" way to force the above order of module loading in the initrd?

  • unnamed Edit (1.6 KiB, text/html; charset=ISO-8859-1)

I'm afraid I have no idea - I just reported this bug once, and since I
upgraded my computer it hasn't occurred anymore.

Sorry I couldn't be more help

On Sun, Mar 30, 2008 at 11:57 PM, Philip Pokorny <email address hidden>
wrote:

> This is still "broken" in 8.04 Beta.
>
> This post:
> http://osdir.com/ml/kernel.bproc.user/2005-08/msg00011.html
>
> Suggests that the following modules should be loaded in the listed
> order:
>
> mtdcore
> mtdchar
> chipreg
> gen_probe
> jedec_probe
> cfi_cmdset_0002
> amd76xrom
>
> On 8.04, they are loaded in the order:
>
> chipreg
> mtd
> amd76xrom
> gen_probe
> jedec_probe
> cfi_util
> cfi_cmdset_0002
>
> What would be the "best" way to force the above order of module loading
> in the initrd?
>
> --
> amd76xrom amd76xrom_init_one(): Unable to register resource
> 0xffc00000-0xffffffff - kernel bug?
> https://bugs.launchpad.net/bugs/39602
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
A mind that is stretched by a new experience can never go back to its old
dimensions. -
Oliver Wendell Holmes

Phillip and others still experiencing this problem,

Can you provide the following information as produced by the following commands:
sudo dmidecode > dmidecode.txt
lspci -vvnn > lspci-vvnn.txt

Also, please a attach a dmesg log which includes the error (if have not already done so).
Thanks.

Jochen Schneider (panama-joe) wrote :

I am also experiencing this problem on every boot using Hardy updated with the latest packages on an Iwill MPX2 (AMD 760MPX chipset).

Jochen Schneider (panama-joe) wrote :
Jochen Schneider (panama-joe) wrote :

... sorry I forgot the dmesg log ... here it comes!

fig_wright (fig-wright) wrote :

I'm still getting this too. Files below. The AMD760 chipset is about 7 years old now, so people will be probably upgrading from these relative old dual-cpu machines - although I love mine and wont need to upgrade for several years more!

fig_wright (fig-wright) wrote :
fig_wright (fig-wright) wrote :
fig_wright (fig-wright) wrote :

Actually, this may be occurring on Operton architecture machines also...

Beginning with the Hardy Heron 8.04 development cycle, all open Ubuntu kernel bugs need to be reported against the "linux" kernel package. We are automatically migrating this linux-source-2.6.15 kernel bug to the new "linux" package. We appreciate your patience and understanding as we make this transition. Also, if you would be interested in testing the upcoming Intrepid Ibex 8.10 release, it is available at http://www.ubuntu.com/testing . Please let us know your results. Thanks!

Dave Gilbert (ubuntu-treblig) wrote :

Still seeing this in Intrepid Alpha 4; exactly the same message - although it's now printing it with an extra 8 zero's:

"amd76xrom" amd76xrom_init_one(): Unable to register resource 0x00000000ffc00000-0x00000000ffffffff - kernel bug ?

Changed in linux:
status: Incomplete → Confirmed

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Dave Gilbert (ubuntu-treblig) wrote :

Still says this on 2.6.27-2 (as it has done on previous versions).
(This is intrepid running latest update - packages are 2.6.27-2..3 for the image)

Changed in linux:
assignee: nobody → ubuntu-kernel-team
status: Confirmed → Triaged

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

xcasex (robert-renling) wrote :

Same issue as initial poster, on intrepid 2.6.27-9-generic.

tammasch (tammasch) wrote :

I can confirm the bug with kernel 2.6.27-11 on an AMD K7 chipset with dual processors (Athlom MP). Gnome hangs regularly on idle, but it could be unrelated. Still confused, though.

Hi, This is happening to me too.
I am getting a computer freeze just as described in this thread.

Messages such as...
JEDE: Found no "amd76xrom" @
...and I get hundreds of them in the dmesg. The computer works
for 10 minutes to an hour then freezes.

Here's is some information...
Hardware...
Two (Dual) AMD Athlon MP 2800 CPUs w/ 512k/cache (Barton)
1GB ECC Registered Memory (PC2100, upgradable to 4GB)
Tyan Tiger S2466 Motherboard, with 4XAGP, 2 64bit PCI slots, and 4 32bit PCI slots

System...
Ubuntu 8.10 running KDE/kubuntu... Linux version 2.6.24-23-generic (buildd@vernadsky) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Mon Jan 26 00:13:11 UTC 2009 (Ubuntu 2.6.24-23.48-generic)

What I'm doing when it freezes....
Seems in is a little more inclined to freeze when doing an rsync copy of about one Gigabyte to anothe
computer on the LAN.

I can supply more logs or post them at pastebin if that would be helpful.
How are people dealing with this?

Jamie Strandboge (jdstrand) wrote :

I noticed this on a system I administer. It is very lightly loaded, so the freeze doesn't happen too often.

Jamie Strandboge (jdstrand) wrote :
Jamie Strandboge (jdstrand) wrote :
Jamie Strandboge (jdstrand) wrote :

Forgot to mention where I am seeing this:
$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 8.04.2
Release: 8.04
Codename: hardy

Tim Gardner (timg-tpi) wrote :

This is a BIOS issue according to kernel source drivers/mtd/maps/amd76xrom.c:

        /*
         * Try to reserve the window mem region. If this fails then
         * it is likely due to a fragment of the window being
         * "reseved" by the BIOS. In the case that the
         * request_mem_region() fails then once the rom size is
         * discovered we will try to reserve the unreserved fragment.
         */

Changed in linux (Ubuntu Jaunty):
assignee: nobody → Tim Gardner (timg-tpi)
status: Triaged → Won't Fix
Jim Lieb (lieb) wrote :

This message is generated as the early kernel is figuring out what is in its address space. This range, 0xffxx0000-0xffffffff is where the BIOS lives in 32 bit address space. None of this matters to the running of the system. The address space appears to be reserved so the kernel doesn't allocate it to something else. The message is "frightening" but little else. It is just as normal as the earlier messages that reported that it could not be reserved in the iomap either. These early 64 bit parts were weird and the kernel is reporting as such.

Changed in linux (Ubuntu):
status: Triaged → Invalid
Changed in linux (Ubuntu):
status: Invalid → Incomplete
status: Incomplete → New
David Rickerd (kaosmaster) wrote :

here are the reserved memory mappings of my system.

Jeremy Foshee (jeremyfoshee) wrote :

David,
    If you feel that your issue is a valid one, please open a new bug and provide all relevant logging. I am resetting this bug as Invalid per the response from the Kernel Team above.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers